> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a project

> Create a project

<Warning>This endpoint can only be used with an [organization-scoped](/api-reference/introduction#organization-scoped-api-keys) API key.</Warning>


## OpenAPI

````yaml post /projects
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create a project
      description: Create a project
      operationId: createProject
      requestBody:
        description: Project request
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  description: Project name
                  type: string
                  example: Luminous Guiding Tower
                  maximum: 25
                  minimum: 1
                members:
                  description: List of team members that are part of this project
                  type: array
                  items:
                    type: integer
                  example:
                    - 1
                    - 2
                    - 3
                  maxItems: 100
                  minItems: 1
                settings:
                  description: Project settings
                  properties:
                    use_incident_ai:
                      description: Whether to generate AI summaries for incidents
                      type: boolean
                      nullable: true
                      default: true
                    use_incident_merging:
                      description: Whether to use incident merging
                      type: boolean
                      nullable: true
                      default: true
                    incident_merging_time_window:
                      description: Time window for incident merging in minutes
                      type: integer
                      nullable: true
                      default: 60
                      enum:
                        - 5
                        - 10
                        - 30
                        - 60
                        - 120
                        - 180
                  type: object
              required:
                - name
                - members
      responses:
        '201':
          description: Success, project created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: Project ID
                    type: integer
                    example: 1
                  slug:
                    description: Project slug
                    type: string
                    example: luminous-guiding-tower
                  name:
                    description: Project name
                    type: string
                    example: Luminous Guiding Tower
                    maximum: 25
                    minimum: 1
                  members:
                    description: List of team members that are part of this project
                    type: array
                    items:
                      type: integer
                    example:
                      - 1
                      - 2
                      - 3
                    maxItems: 100
                    minItems: 1
                  settings:
                    description: Project settings
                    properties:
                      use_incident_ai:
                        description: Whether to generate AI summaries for incidents
                        type: boolean
                        nullable: true
                        default: true
                      use_incident_merging:
                        description: Whether to use incident merging
                        type: boolean
                        nullable: true
                        default: true
                      incident_merging_time_window:
                        description: Time window for incident merging in minutes
                        type: integer
                        nullable: true
                        default: 60
                        enum:
                          - 5
                          - 10
                          - 30
                          - 60
                          - 120
                          - 180
                    type: object
                  created_at:
                    description: Date of creation for the entity
                    type: string
                    format: date-time
                  updated_at:
                    description: Date of last update for the entity
                    type: string
                    format: date-time
                required:
                  - name
                  - members
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '422':
          $ref: '#/components/responses/422'
components:
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
    '422':
      description: Error, unprocessable entity
      content:
        application/json:
          schema:
            description: Validation error schema
            properties:
              message:
                type: string
              errors:
                properties:
                  key:
                    type: array
                    items:
                      type: string
                      example: The key field is required
                type: object
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````